import * as defs from '../definitions';
export declare const codec: <I, O, T extends string = string, P extends defs.CodecProps = defs.CodecProps>(tag: T, encode: defs.Transformer<I, O>, decode: defs.Transformer<O, I>, props?: (P & defs.CodecProps) | undefined) => defs.Codec<I, O, T, P & defs.CodecProps>;
export declare const intersection: <C1 extends defs.AnyCodec, C2 extends defs.AnyCodec>(c1: C1, c2: C2) => defs.Intersection<C1, C2>;
export declare const union: <C1 extends defs.AnyCodec, C2 extends defs.AnyCodec>(c1: C1, c2: C2) => defs.Union<C1, C2>;
export declare const optional: <T extends defs.AnyCodec>(type: T) => defs.OptionalCodec<T>;
