import * as defs from './definitions';
export declare class TransformError extends Error {
    readonly errors: string[];
    constructor(errors: string[]);
}
export declare function isCodecType<T extends defs.CodecType.String | defs.CodecType.Number | defs.CodecType.Boolean>(codec: defs.AnyCodec, type: T): codec is defs.IdentityCodec<T>;
export declare function isCodecType(codec: defs.AnyCodec, type: defs.CodecType.Object): codec is defs.ObjectCodec<any>;
export declare function isCodecType(codec: defs.AnyCodec, type: defs.CodecType.Intersection): codec is defs.Intersection<defs.AnyCodec, defs.AnyCodec>;
export declare function isCodecType(codec: defs.AnyCodec, type: defs.CodecType.Union): codec is defs.Union<defs.AnyCodec, defs.AnyCodec>;
