import * as defs from '../definitions';
export declare const identityCodec: <T extends defs.CodecType>(type: T) => defs.IdentityCodec<T>;
export declare const string: defs.IdentityCodec<defs.CodecType.String>;
export declare const boolean: defs.IdentityCodec<defs.CodecType.Boolean>;
export declare const number: defs.IdentityCodec<defs.CodecType.Number>;
export declare const literal: <T extends string>(literal: T) => defs.LiteralCodec<T>;
export declare const Null: defs.Codec<null, null, defs.CodecType.Null>;
export declare const any: defs.Codec<any, any, defs.CodecType.Any>;
export declare const Enum: <T extends defs.EnumLike>(native_enum: T) => defs.EnumCodec<T>;
